Package com.avaya.clientservices.messaging.enums

## Enum DisplayOrder

- java.lang.Object
- - java.lang.Enum<DisplayOrder>
  - - com.avaya.clientservices.messaging.enums.DisplayOrder

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<DisplayOrder>`

      public enum DisplayOrder
      extends java.lang.Enum<DisplayOrder>

  Represents the order in which participant full name is generated ("FirstName LastName" or "LastName FirstName").

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FIRST` |
    `LAST` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DisplayOrder` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static DisplayOrder[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final DisplayOrder FIRST

    - #### LAST

          public static final DisplayOrder LAST

  - ### Method Detail

    - #### values

          public static DisplayOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DisplayOrder c : DisplayOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DisplayOrder valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null